Get the people who liked a Substack post. Returns up to 100 profiles with display name, user ID, profile picture, bestseller tier and primary publication, plus the post's total like count.
curl "https://apidirect.io/v1/substack/post/likes?url=https%3A%2F%2Fwww.lennysnewsletter.com%2Fp%2Fall-of-the-lenny-and-friends-summit" -H "X-API-Key: YOUR_API_KEY"
{
"count": 100,
"likes": [
{
"bestseller_tier": 0,
"full_name": "Christopher L Ross",
"is_bestseller": false,
"primary_publication": {
"logo_url": "",
"name": "Christopher L Ross",
"publication_id": "8445348",
"subdomain": "christopherlross782652",
"url": "https://christopherlross782652.substack.com"
},
"profile_pic_url": "https://substack-post-media.s3.amazonaws.com/public/images/795aab44-1e19-40ff-a4f3-14d22be4346f_144x144.png",
"url": "https://substack.com/profile/106335682",
"user_id": "106335682"
}
],
"post_id": "215694124",
"post_url": "https://www.lennysnewsletter.com/p/all-of-the-lenny-and-friends-summit",
"total": 285
}